Bug 1417460 - Failed to Amend Qcow volume on block SD due failure on Qemu-image
Summary: Failed to Amend Qcow volume on block SD due failure on Qemu-image
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.1.1
: 4.1.1
Assignee: Maor
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard: storage
Depends On:
Blocks: RHEV_qcow2_v3 1143872
TreeView+ depends on / blocked
 
Reported: 2017-01-29 15:14 UTC by Kevin Alon Goldblatt
Modified: 2017-04-21 09:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:53:05 UTC
oVirt Team: Storage
rule-engine: ovirt-4.1+
rule-engine: blocker+


Attachments (Terms of Use)
server, vdsm, engine.log (833.31 KB, application/x-gzip)
2017-01-29 15:18 UTC, Kevin Alon Goldblatt
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 71351 0 master MERGED amend_volume: Prepare the entire volume chain on amend. 2017-01-30 07:58:40 UTC
oVirt gerrit 71366 0 ovirt-4.1 MERGED amend_volume: Prepare the entire volume chain on amend. 2017-02-01 15:09:39 UTC

Description Kevin Alon Goldblatt 2017-01-29 15:14:39 UTC
Description of problem:
Failed to amend block disk image as backing file LV is not Activated  (looks similar to bz 1410428)



Version-Release number of selected component (if applicable):
ovirt-engine-4.1.1-0.0.master.20170126161333.git83fd7e0.el7.centos.noarch
vdsm-4.19.3-1.gitdfa4d67.el7.centos.x86_64


How reproducible:
Always

Steps to Reproduce:
1.Create DC and Cluster with compatability version 4.0
2.Create VM with block disks
3.Create snapshot
4.Upgrade Cluster and DC to 4.1
5.Try to Amend image - fails as backing file LV is not Activated  (looks similar to bz 1410428)

Actual results:
Fail to Amend block image

Expected results:
Should work


Additional info:
2017-01-29 17:04:46,817 INFO  (jsonrpc/3) [jsonrpc.JsonRpcServer] RPC call Host.getAllVmStats succeeded in 0.00 seconds (__init__:515)
2017-01-29 17:04:46,855 INFO  (jsonrpc/5) [jsonrpc.JsonRpcServer] RPC call Host.getAllVmIoTunePolicies succeeded in 0.03 seconds (__init__:515)
2017-01-29 17:04:48,103 INFO  (vdsm.Scheduler) [root] Autodeleting job {'status': 'failed', 'error': {'message': 'General Exception: ("cmd=[\'/usr/bin/qemu-img\', \'amend\', \'-o\', u\'com
pat=1.1\', \'/rhev/data-center/mnt/blockSD/de90ee9f-0fc6-43c8-a959-0959674ab689/images/00bf8fa1-2fd2-4f62-9445-801e37f647a2/56c0f943-440e-4cfb-8c61-bc0ee35fc961\'], ecode=1, stdout=, stder
r=qemu-img: Could not open \'/rhev/data-center/mnt/blockSD/de90ee9f-0fc6-43c8-a959-0959674ab689/images/00bf8fa1-2fd2-4f62-9445-801e37f647a2/56c0f943-440e-4cfb-8c61-bc0ee35fc961\': Could no
t open backing file: Could not open \'/rhev/data-center/mnt/blockSD/de90ee9f-0fc6-43c8-a959-0959674ab689/images/00bf8fa1-2fd2-4f62-9445-801e37f647a2/6b738aec-0b76-4924-b25b-977764af6848\':
 No such file or directory\\n, message=None",)', 'code': 100}, 'job_type': 'storage', 'id': u'da7e4a44-801e-45c5-b411-2c7872cc484b', 'description': 'amend_volume'} (jobs:249)
2017-01-29 17:04:49,332 INFO  (jsonrpc/7) [jsonrpc.JsonRpcServer] RPC call Host.getAllVmStats succeeded in 0.00 seconds (__init__:515)

Comment 1 Kevin Alon Goldblatt 2017-01-29 15:18:49 UTC
Created attachment 1245596 [details]
server, vdsm, engine.log

Adding logs

Comment 2 Kevin Alon Goldblatt 2017-02-16 08:50:16 UTC
Tested with the following code:
-----------------------------------------------
ovirt-engine-4.1.1-0.1.el7.noarch
rhevm-4.1.1-0.1.el7.noarch
vdsm-4.19.5-1.el7ev.x86_64

Verified with the following scenario:
-----------------------------------------------
Steps to Reproduce:
1.Create DC and Cluster with compatibility version 4.0
2.Create VM with block disks
3.Create snapshot
4.Upgrade Cluster and DC to 4.1
5.Try to Amend image - Successfully amended

QCow version updated successfully on block device

Moving to VERIFIED!


Note You need to log in before you can comment on or make changes to this bug.